Loading...
Searching...
No Matches
AVDVProfile Struct Reference

`#include <libavcodec/dv_profile.h>`

## Data Fields

int | dsf
int | video_stype
int | frame_size
int | difseg_size
int | n_difchan
AVRational | time_base
int | ltc_divisor
int | height
int | width
AVRational | sar [2]
enum AVPixelFormat | pix_fmt
int | bpm
const uint8_t * | block_sizes
int | audio_stride
int | audio_min_samples [3]
int | audio_samples_dist [5]
const uint8_t(* | audio_shuffle )[9]

## Detailed Description

Definition at line 38 of file dv_profile.h.

## Field Documentation

## dsf

int AVDVProfile::dsf

Definition at line 39 of file dv_profile.h.

## video_stype

int AVDVProfile::video_stype

Definition at line 40 of file dv_profile.h.

## frame_size

int AVDVProfile::frame_size

Definition at line 41 of file dv_profile.h.

## difseg_size

int AVDVProfile::difseg_size

Definition at line 42 of file dv_profile.h.

## n_difchan

int AVDVProfile::n_difchan

Definition at line 43 of file dv_profile.h.

## time_base

AVRational AVDVProfile::time_base

Definition at line 44 of file dv_profile.h.

## ltc_divisor

int AVDVProfile::ltc_divisor

Definition at line 45 of file dv_profile.h.

## height

int AVDVProfile::height

Definition at line 46 of file dv_profile.h.

## width

int AVDVProfile::width

Definition at line 47 of file dv_profile.h.

## sar

AVRational AVDVProfile::sar[2]

Definition at line 48 of file dv_profile.h.

## pix_fmt

enum AVPixelFormat AVDVProfile::pix_fmt

Definition at line 49 of file dv_profile.h.

## bpm

int AVDVProfile::bpm

Definition at line 50 of file dv_profile.h.

## block_sizes

const uint8_t* AVDVProfile::block_sizes

Definition at line 51 of file dv_profile.h.

## audio_stride

int AVDVProfile::audio_stride

Definition at line 52 of file dv_profile.h.

## audio_min_samples

int AVDVProfile::audio_min_samples[3]

Definition at line 53 of file dv_profile.h.

## audio_samples_dist

int AVDVProfile::audio_samples_dist[5]

Definition at line 55 of file dv_profile.h.

## audio_shuffle

const uint8_t(* AVDVProfile::audio_shuffle)[9]

Definition at line 57 of file dv_profile.h.

The documentation for this struct was generated from the following file:

- libavcodec/dv_profile.h